package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 湿帘
 * </p>
 *
 * @author author
 * @since 2023-07-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("env_device_pad")
public class EnvDevicePad implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备id
     */
    private String deviceCode;

    /**
     * 传感器id
     */
    private String chipCode;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 传感器名字
     */
    private String chipName;

    /**
     * 0:关闭  1:开启
     */
    private Integer chipStatus;

    /**
     * 值
     */
    private String chipValue;

    private Integer farmId;

    private String other1;

    private String ohter2;

    private String other3;


}
